Name:		c-graph
Version:	2.0
Release:	alt1_4
License:	GPLv3+
Group:		Engineering
Summary:	A tool for visualizing convolution
URL:		http://www.gnu.org/software/%{name}
Source0:	http://ftp.gnu.org/gnu/c-graph/%{name}-%{version}.tar.gz
BuildRequires:	gcc-fortran
BuildRequires:	help2man
Requires:	coreutils
Requires:	gnuplot
Requires:	ImageMagick
Requires:	less
Requires:	ncurses
Requires(post):	info
Requires(preun): info
Source44: import.info

%description
GNU C-Graph is a novel tool for visualizing the mathematical operation
of convolution underlying natural phenomena susceptible to analysis in
terms of engineering signals and systems theory. "C-Graph" is an
abbreviation for "Convolution Graph". The package is derived from the
BSc. Honors dissertation in Electrical Engineering "Interactive
Computer Package Demonstrating: Sampling Convolution and the FFT",
Adrienne Gaye Thompson, University of Aberdeen (1983).

The package computes the linear convolution of two signals in the time
domain then compares their circular convolution by demonstrating the
convolution theorem. Each signal is modeled by a register of discrete
values simulating samples of a signal, and the discrete Fourier
transform (DFT) computed by means of the Fast Fourier Transform (FFT).

GNU C-Graph is interactive, prompting the user to enter character or
numerical values from the keyboard, dispensing with the learning curve
for writing code. The software is an excellent tool for lecture
demonstrations and lab work in the teaching of signals and systems theory.

C-Graph is written in Fortran. Adrienne Gaye Thompson is the sole author
of GNU C-Graph.

%prep
%setup -q

%build
%configure
# remove \r\n line endings
sed -e 's|\r||' README > README.new
touch -r README.new README
mv README.new README
make FCFLAGS="$FFLAGS"

%install
make install DESTDIR=%{buildroot}

# must be created when installing info
rm -f %{buildroot}%{_infodir}/dir

# create a simple manual page
mkdir -p %{buildroot}%{_mandir}/man1
help2man src/%{name} > %{buildroot}%{_mandir}/man1/%{name}.1

mv %{buildroot}%{_datadir}/%{name}/{AUTHORS,README,TODO} \
    %{buildroot}%{_docdir}/%{name}

%files
%{_bindir}/%{name}
%{_datadir}/%{name}
%doc %{_docdir}/%{name}
%doc %{_infodir}/%{name}*
%doc %{_mandir}/man1/%{name}.1*

%changelog
* Thu Apr 25 2013 Igor Vlasenko <viy@altlinux.ru> 2.0-alt1_4
- initial fc import

